diff -urN -x '*.o' -x '.*' -x '*.c' ocf-linux-20041224/ocf/hifn/Makefile 2.6.10/crypto/ocf/hifn/Makefile
--- ocf-linux-20041224/ocf/hifn/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ 2.6.10/crypto/ocf/hifn/Makefile	2005-01-29 14:44:26.000000000 +0100
@@ -0,0 +1,2 @@
+EXTRA_CFLAGS += -Icrypto/ocf 
+obj-$(CONFIG_OCF_HIFN)       += hifn7751.o
diff -urN -x '*.o' -x '.*' -x '*.c' ocf-linux-20041224/ocf/ixp4xx/Makefile 2.6.10/crypto/ocf/ixp4xx/Makefile
--- ocf-linux-20041224/ocf/ixp4xx/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ 2.6.10/crypto/ocf/ixp4xx/Makefile	2005-01-29 14:46:35.000000000 +0100
@@ -0,0 +1,11 @@
+EXTRA_CFLAGS += -Icrypto/ocf 
+#
+# You will need to point this at your Intel ixp425 includes,  this portion
+# of the Makefile only really works under SGLinux with the appropriate libs
+# installed.  They can be downloaded from http://www.snapgear.org/
+#
+CFLAGS_ixp4xx.o += \
+		-I$(ROOTDIR)/modules/ixp425/ixp400/ixp400_xscale_sw/src/include \
+		-I$(ROOTDIR)/modules/ixp425/ixp400/ixp400_xscale_sw/src/linux \
+		-DUSE_IXP4XX_CRYPTO
+obj-$(CONFIG_OCF_IXP4XX)     += ixp4xx.o
diff -urN -x '*.o' -x '.*' -x '*.c' ocf-linux-20041224/ocf/Makefile 2.6.10/crypto/ocf/Makefile
--- ocf-linux-20041224/ocf/Makefile	2004-12-10 02:02:17.000000000 +0100
+++ 2.6.10/crypto/ocf/Makefile	2005-01-29 14:49:34.000000000 +0100
@@ -9,9 +9,9 @@
 obj-$(CONFIG_OCF_CRYPTODEV)  += $(obj-base)cryptodev.o
 obj-$(CONFIG_OCF_CRYPTOSOFT) += $(obj-base)cryptosoft.o
 
-obj-$(CONFIG_OCF_SAFE)       += $(obj-base)safe/safe.o
-obj-$(CONFIG_OCF_HIFN)       += $(obj-base)hifn/hifn7751.o
-obj-$(CONFIG_OCF_IXP4XX)     += $(obj-base)ixp4xx/ixp4xx.o
+obj-$(CONFIG_OCF_SAFE)       += $(obj-base)safe/
+obj-$(CONFIG_OCF_HIFN)       += $(obj-base)hifn/
+obj-$(CONFIG_OCF_IXP4XX)     += $(obj-base)ixp4xx/
 
 $(shell echo $(CONFIG_OCF_OCF) > /tmp/crap)
 
@@ -24,15 +24,6 @@
 
 EXTRA_CFLAGS += -I$(obj)/.
 
-#
-# You will need to point this at your Intel ixp425 includes,  this portion
-# of the Makefile only really works under SGLinux with the appropriate libs
-# installed.  They can be downloaded from http://www.snapgear.org/
-#
-CFLAGS_ixp4xx/ixp4xx.o += \
-		-I$(ROOTDIR)/modules/ixp425/ixp400/ixp400_xscale_sw/src/include \
-		-I$(ROOTDIR)/modules/ixp425/ixp400/ixp400_xscale_sw/src/linux \
-		-DUSE_IXP4XX_CRYPTO
 
 ifdef TOPDIR
 -include $(TOPDIR)/Rules.make
diff -urN -x '*.o' -x '.*' -x '*.c' ocf-linux-20041224/ocf/safe/Makefile 2.6.10/crypto/ocf/safe/Makefile
--- ocf-linux-20041224/ocf/safe/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ 2.6.10/crypto/ocf/safe/Makefile	2005-01-29 14:45:37.000000000 +0100
@@ -0,0 +1,2 @@
+EXTRA_CFLAGS += -Icrypto/ocf 
+obj-$(CONFIG_OCF_SAFE)       += safe.o
